package com.ssj.bean.kmt.arrange.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TeacherArrangeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    //年份
    private String year;
    /* 月份
     */
    private String month;
    //出勤率
    private String dutyRate;

    //是否显示下个月每月25号后可选择下个月排班 1是2否
    private Integer isShowNext;

    //下个月已选排班
    private Integer nextDutyCount;

    //日历时间段
    private List<TeacherArrangeDayVO> dayList = new ArrayList<TeacherArrangeDayVO>();

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDutyRate() {
        return dutyRate;
    }

    public void setDutyRate(String dutyRate) {
        this.dutyRate = dutyRate;
    }

    public Integer getIsShowNext() {
        return isShowNext;
    }

    public void setIsShowNext(Integer isShowNext) {
        this.isShowNext = isShowNext;
    }

    public Integer getNextDutyCount() {
        return nextDutyCount;
    }

    public void setNextDutyCount(Integer nextDutyCount) {
        this.nextDutyCount = nextDutyCount;
    }

    public List<TeacherArrangeDayVO> getDayList() {
        return dayList;
    }

    public void setDayList(List<TeacherArrangeDayVO> dayList) {
        this.dayList = dayList;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }
}
